# Enable cPanel account mailbox autocreation

This function allows the system to automatically create mailboxes for a cPanel account. The system will create a new mailbox when it receives an email address in plus address format and that mailbox does not exist. For example, receiving an email from the user+newmailbox@example.com address creates the newmailbox mailbox if the newmailbox mailbox does not exist.

Note:

  To disable this functionality, use the UAPI Email::disable_mailbox_autocreate function.

Endpoint: GET /Email/enable_mailbox_autocreate
Version: 11.136.0.4
Security: BasicAuth

## Query parameters:

  - `email` (string, required)
    The email account for which to enable mailbox autocreation.
    Example: "username@example.com"

## Response 200 fields (application/json):

  - `apiversion` (integer)
    The version of the API.
    Example: 3

  - `func` (string)
    The name of the method called.
    Example: "enable_mailbox_autocreate"

  - `module` (string)
    The name of the module called.
    Example: "Email"

  - `result` (object)

  - `result.data` (integer)
    Whether the function enabled mailbox autocreation for the cPanel account.
- 1  Mailbox autocreation enabled.
- 0  Mailbox autocreation is not enabled.
    Enum: 0, 1

  - `result.errors` (array,null)
    List of errors if the API failed.

  - `result.messages` (array,null)
    List of messages generated by the API.

  - `result.metadata` (object)

  - `result.status` (integer)
    - 1 - Success
- 0 - Failed: Check the errors field for more details.
    Enum: 0, 1

  - `result.warnings` (array,null)
    List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.


